POFILECONSISTENCY(1)

NAME
POFileConsistency - checks consistency in a collection of PO files

SYNOPSIS

POFileConsistency [OPTION] [...] [FILE] [...]

INTRODUCTION

POFileConsistency checks consistency in a collection of PO files.

COMMAND LINE OPTIONS

--help or -h
    show usage instructions

--interactive or -i
    interactive mode, iterate though the inconsistencies using a text mode interface; see the Interactive Mode section

--equivalent=file or -e file
    load a file with a list of equivalent msgstr for a given msgid; can be used multiple times

--only-empty or -o
    only report inconsistencies with at least one of the translations empty

--match=string or -m string
    only report inconsistencies if at least one of the files involved contain the given string

--strip-chars=chars or -r chars
    remove each of the chars from both msgid and msgstr before checking inconsistencies

INTERACTIVE MODE

In interactive mode you iterate through each of the inconsistencies found. In each prompt you can press Enter to ignore this inconsistency, a number of a possible translation (1, 2, ...) to change all the translations to that text, 0 to input a text to use in all the translations, l to add the exception to each of the PO files, or, if you are using at least one equivalents file, a to add the exception to the first of those files.

PO FILE HEADER DIRECTIVES

POFileConsistency recognizes several PO file header directives. As with all gettext lint tools, these directives are all prefixed with X-POFile.

X-POFile-IgnoreConsistency: msgid
    remove the given msgid from the list of messages to check

X-POFile-ConsistencyAlias: string1 string2
    replace all ocorrences of string1 with string2 before checking consistency

CONSISTENCY EQUIVALENTS FILE FORMAT

This files consists of a series of empty line separated blocks. For example:

msgid 1
possible translation 1
possible translation 2
possible translation n

msgid 2
possible translation 1
possible translation 2
possible translation n

MORE INFORMATION

gettext-lint web page: http://gettext-lint.sourceforge.net/

AUTHOR
Pedro Morais.
<morais@kde.org>